{% extends 'base.html' %} {% load i18n %} {% block title %}{% trans "Utilisateur" %}  {{object.username}}{%endblock %}
{% block content %}
<h1>
    <i class="fi-torsos-female-male"></i>
    {% trans "Utilisateur" %}  {{object.username}}
</h1>
<p> <span class="text-muted">Compte créé le</span> {{object.timestamp_create}}
{% if object.timestamp_update %}
  <span class="text-muted">, mis à jour le </span>{{object.timestamp_update}}<span class="text-muted">.</span>
{% endif %}
<span class="text-muted"> Dernière connexion le </span>{{object.last_login|default:"Jamais"}}<span class="text-muted">.</span></p>
<div class="panel panel-group panel-default">
    <div class="panel-heading">
        <h4 class="panel-title">
            <i class="fa fa-fw fa-id-card"></i> {% trans 'Identité' %}
        </h4>
    </div>
    <div class="panel-body">
    <h3>Informations principales</h1>
          <dl class="dl-horizontal">
  <dt>Nom d'utilisateur</dt>
  <dd><span class="label label-primary" style="font-size:1.5rem;">{{ object.username }}</strong></dd>
</dl>
      <dl class="dl-horizontal">
  <dt>Nom complet</dt>
  <dd>{{ object.first_name }} {{ object.last_name }}</dd>
</dl>
      <dl class="dl-horizontal">
  <dt>Email</dt>
  <dd>{{ object.email }}</dd>
</dl>
      <dl class="dl-horizontal">
  <dt>Organisme</dt>
  <dd>{{ object.organism|default:'?' }}</dd>
</dl>
      <h3>Coordonnées</h3>
      <dl class="dl-horizontal">
  <dt>Téléphone fixe</dt>
  <dd>{{ object.home_phone|default:'?' }}</dd>
</dl>
      <dl class="dl-horizontal">
  <dt>Téléphone mobile</dt>
  <dd>{{ object.mobile_phone|default:'?' }}</dd>
</dl>
      <dl class="dl-horizontal">
  <dt>Adresse</dt>
  <dd>
  {% if object.addr_apt or object.addr_building %}{{ object.addr_appt }} {{ object.addr_building }}<br>{% endif %}
  {{ object.addr_street|default:'?' }}<br>
  {{ object.addr_city_code|default:'?'}} {{ object.addr_city|default:'?'}}<br>
  {{ object.addr_country|default:'?'}}
  </dd>
</dl>

    </div>
</div>
<div class="panel panel-group panel-default">
    <div class="panel-heading">
        <h4 class="panel-title">
            <i class="fa fa-fw fa-id-card"></i> {% trans 'Gestion' %}
        </h4>
    </div>
    <div class="panel-body">
        <div class="col-xs-12 col-md-4">
            <a
                class="btn btn-block btn-primary btn-lg"
                href="{% url 'accounts:user_update' pk=object.pk  %}"
                ><i class="fa fa-fw fa-edit"></i>
                {% trans 'Modifier' %}</a>
        </div>
        <div class="col-xs-12 col-md-4">
            <a
                class="btn btn-block btn-warning btn-lg"
                href="{% url 'accounts:user_password' pk=object.pk %}"
                ><i class="fa fa-fw fa-lock"></i>
                {% trans 'Changer le mot de passe' %}</a>
        </div>
        <div class="col-xs-12 col-md-4">
            <a
                class="btn btn-block btn-danger btn-lg"
                href="{% url 'accounts:user_delete' pk=object.pk %}"
                ><i class="fa fa-fw fa-trash"></i>
                {% trans 'Supprimer' %}</a>
        </div>
    </div>
</div>
<div class="panel panel-group panel-default">
    <div class="panel-heading">
        <h4 class="panel-title">
            <i class="fa fa-fw fa-unlock"></i> {% trans 'Droits sur la base' %}
        </h4>
    </div>
    <div class="panel-body">
        <b>Super-utilisateur</b> : {{ object.is_superuser|yesno:'Oui,Non,-' }}<br />
        <b>Responsable de territoire</b> : {% if object.is_resp %}Oui ( {% for territory in object.resp_territory.all %} {{ territory.name }}{% endfor %}){% else %}Non{% endif %}<br />
        <b>Accès à toutes les données</b>: {{ object.is_superuser|yesno:'Oui,Non,-'}}<br />
        <b>Edition de toutes les données</b>: {{ object.edit_all_data|yesno:'Oui,Non,-'}}<br />
    </div>
</div>
{% endblock %}
